% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{cve_cpp}
\alias{cve_cpp}
\title{Conditional Variance Estimation (CVE) method.}
\usage{
cve_cpp(X, Y, k, nObs, tauInitial = 1, tol = 1e-05, slack = -1e-10,
  maxIter = 50L, attempts = 10L)
}
\arguments{
\item{X}{data points}

\item{Y}{response}

\item{k}{assumed \eqn{rank(B)}}

\item{nObs}{parameter for bandwidth estimation, typical value
\code{nObs = nrow(X)^lambda} with \code{lambda} in the range [0.3, 0.8].}

\item{tol}{Tolerance for update error used for stopping criterion (default 1e-5)}

\item{slack}{Ratio of small negative error allowed in loss optimization (default -1e-10)}

\item{maxIter}{Upper bound of optimization iterations (default 50)}

\item{attempts}{Number of tryes with new random optimization starting points (default 10)}

\item{tau}{Initial step size (default 1)}
}
\value{
List containing the bandwidth \code{h}, optimization objective \code{V}
    and the matrix \code{B} estimated for the model as a orthogonal basis of the
    orthogonal space spaned by \code{V}.
}
\description{
This version uses a "simple" stiefel optimization schema.
}
